Subject: Fixes/Tasks for impexp / distributions

Description

An umbrella issue for fixes in impexp regarding creating and using distributions.

PLEASE do not comment here! Thx!

Subtasks:

Task # 58761: Check and use current hash and size on export to prevent errors on import. Resolved

Task # 58693: Ignore sys_file_reference records pointing to missing files on import Under Review

Task # 58682: Impexp: use created Folder object for image adding Resolved

Task # 58688: exec_SELECTgetSingleRow could also return FALSE Resolved

Task # 57348: Introduction package does not install/load any pages: typo3 6.2.0 Resolved

Task # 58782: Add signal in ImportExportUtility for importer modifications Resolved

Task # 58798: Log errors after distribution t3d import also, if pages was created. Resolved

Task # 58801: Improve logging of initial t3d import errors New

Task # 58826: Prevent error message for correct imports of sys_file_metadata Resolved

Task # 58841: Fix file imports to fallback storage 0 Resolved

Task # 58843: Fix imports for fields of type input with link wizard Resolved

Task # 58824: Impexp: add test for importing with forced uids Resolved

Task # 58912: Raise maximum settable numbers of export Resolved

Task # 59015: Catch all errors on adding files of sys_files to export Resolved

Task # 59154: Detect and import XML file as well as t3d Resolved

Task # 59616: Import forces pid O if rootLevel = -1 is set in TCA Resolved

Related issues:

related to Core - Story # 57377: Additional improvements for impexp New

History

#1 - 2014-05-20 16:16 - Katja Lampela

While trying to use export in root page (to export backend user settings) | get error after clicking "Export to .t3d":

Oops, an error occurred!

Error while fetching permissions for /var/www/vhosts/mysite/httpdocs/uploads/tx_imagecarousel/image.jpg

TYPO36.2.2

#2 - 2014-05-21 17:29 - Armin Ruediger Vieweg

Yes, | can confirm Katja's issue.

This seems to happen because eg. the identifier "/htdocs" in TYPO3\CMS\Core\Resource\Driver\LocalDriver::getAbsolutePath() returns
"/var/www/vhosts/.../htdocs/htdocs" and this folder does not exist of course.

#3 - 2014-05-21 17:43 - Armin Ruediger Vieweg

After further investigation, | think the problem is the entry existing in sys_file which has always the identifier "/lastPartOfHtdocs". | think this should be
just "/"? When | delete it and run the scheduler task, it will be created again.

#4 - 2014-05-21 22:56 - Marc Bastian Heinrichs

Since this is an umbrella issue only, please don't add more comments to this issue. Please create extra issues. Thx

Exporting sys_file records needs a very clean file index at the moment. Means for example no missing files, clean relations between elements using
sys_file_reference and the sys_file_reference records and sys_file records.

| added an issue to suggest more reports for FAL to check this problems: #58764

Katja, your problem should be fixed with #59015. | will add a patch there that you could test, please.

Armin, to me it look like a very strange storage configuration. Better continue on mailing list. typo3.dev for example? Ping me with PM on Twitter, when

you posted a msg.

#5 - 2014-05-21 22:58 - Marc Bastian Heinrichs

- Subject changed from Fixes/Tasks for impexp / distributions to Fixes/Tasks for impexp / distributions (
- Status changed from New to Accepted

- Assigned To set to Marc Bastian Heinrichs

#6 - 2014-05-21 23:00 - Marc Bastian Heinrichs

- Subject changed from Fixes/Tasks for impexp / distributions ( to Fixes/Tasks for impexp / distributions
